## praat 5.1.7

=== dwsys/Makefile ===
# makefile for library "dwsys".
# David Weenink 20061222
# djmw 20080130 Latest modification.
# djmw 20090607 Added -O0 to remove optimization for the numerical routines (especially NUMcblas.c)

include ../makefile.defs

CFLAGS = -I ../stat -I ../num -I ../sys -I ../GSL -I ../kar -O0

all: libdwsys.a

clean:
	rm *.o

OBJECTS = Collection_extensions.o Command.o \
	Eigen.o Index.o \
	NUM2.o NUMhuber.o NUMlapack.o NUMmachar.o \
	NUMf2c.o NUMcblas.o NUMclapack.o NUMfft_d.o NUMsort2.o \
	Permutation.o Permutation_and_Index.o \
	regularExp.o SimpleVector.o Simple_extensions.o \
	SVD.o

$(OBJECTS): *.h ../stat/*.h ../num/NUM.h ../sys/*.h ../GSL/*.h ../dwsys/*.h ../kar/*.h


libdwsys.a: $(OBJECTS) NUMmachar.o
	touch libdwsys.a
	rm libdwsys.a
	ar cq libdwsys.a $(OBJECTS)
	$(RANLIB) libdwsys.a

=== dwtools/Makefile ===
# # Makefile of the library "dwtools"

# 
#  Copyright (C) 1993-2009 David Weenink
# 
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or (at
#  your option) any later version.
# 
#  This program is distributed in the hope that it will be useful, but
#  WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  General Public License for more details.
# 
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
# 
# 
# 
#  djmw 20030825 Removed dependency on -I ../GSL
#  djmw 20090417 Latest modification.


include ../makefile.defs

CFLAGS = -I ../num -I ../LPC -I ../fon -I ../sys -I ../dwsys -I ../audio -I ../stat -I ../GSL

all: libdwtools.a

clean:
	rm *.o

OBJECTS = Activation.o AffineTransform.o \
	Categories.o CategoriesEditor.o \
	Categories_and_Strings.o CCA.o CCA_and_Correlation.o \
	CC.o CCs_to_DTW.o \
	ClassificationTable.o Confusion.o \
	Configuration.o Configuration_AffineTransform.o \
	Configuration_and_Procrustes.o Distance.o \
	DTW.o DTW_and_TextGrid.o \
	Discriminant.o  Discriminant_Pattern_Categories.o \
	Eigen_and_Matrix.o Eigen_and_Procrustes.o \
	Eigen_and_TableOfReal.o\
	Eigen_and_SSCP.o Excitations.o \
	FilterBank.o FormantGrid_extensions.o \
	Intensity_extensions.o \
	LFCC.o LongSound_extensions.o \
	KlattGrid.o KlattGridEditors.o KlattTable.o \
	MelFilter_and_MFCC.o MFCC.o \
	manual_dwtools.o manual_KlattGrid.o manual_MDS.o manual_Permutation.o \
	Minimizers.o \
	Matrix_extensions.o \
	Matrix_Categories.o MDS.o \
	Pattern.o PCA.o \
	Pitch_extensions.o Polynomial.o \
	Polygon_extensions.o Procrustes.o \
	Proximity.o \
	Resonator.o \
	Sampled2.o \
	Sound_and_FilterBank.o Sound_extensions.o \
	Sound_to_MFCC.o \
	Sound_to_Pitch2.o Sound_to_SPINET.o SPINET.o SPINET_to_Pitch.o \
	Spectrum_extensions.o SSCP.o Strings_extensions.o \
	Table_extensions.o TableOfReal_and_SVD.o\
	TableOfReal_extensions.o \
	TableOfReal_and_Permutation.o \
	TextGrid_extensions.o \
	VowelEditor.o \
	praat_MDS_init.o praat_KlattGrid_init.o praat_David_init.o

$(OBJECTS): *.h ../num/NUM.h ../sys/*.h ../fon/*.h ../dwsys/*.h ../stat/*.h ../LPC/*.h


libdwtools.a: $(OBJECTS)
	touch libdwtools.a
	rm libdwtools.a
	ar cq libdwtools.a $(OBJECTS) 
	$(RANLIB) libdwtools.a

=== sys/Makefile ===
# Makefile of the library "sys"
# Paul Boersma, 7 May 2009

include ../makefile.defs
CFLAGS = -I ../num -I ../sys -I ../dwsys -I ../kar -I ../audio -I ../FLAC -I ../mp3

OBJECTS = enum.o abcio.o lispio.o complex.o \
   melder_ftoa.o melder_atof.o melder_error.o melder_alloc.o melder.o melder_strings.o \
   melder_token.o melder_files.o melder_audio.o melder_audiofiles.o \
   melder_debug.o melder_sysenv.o melder_info.o melder_quantity.o \
   melder_textencoding.o melder_readtext.o melder_writetext.o melder_console.o melder_time.o \
   Thing.o Data.o Simple.o Collection.o Strings.o \
   Graphics.o Graphics_linesAndAreas.o Graphics_text.o Graphics_colour.o \
   Graphics_image.o Graphics_mouse.o Graphics_record.o \
   Graphics_utils.o Graphics_grey.o Graphics_altitude.o \
   GraphicsPostscript.o Graphics_surface.o \
   ManPage.o ManPages.o Script.o machine.o \
   GraphicsScreen.o Printer.o \
   Preferences.o site.o \
   Picture.o Ui.o UiFile.o UiPause.o Editor.o DataEditor.o HyperPage.o Manual.o TextEditor.o \
   praat.o praat_actions.o praat_menuCommands.o praat_picture.o sendpraat.o sendsocket.o \
   praat_script.o praat_statistics.o praat_logo.o \
   praat_objectMenus.o InfoEditor.o ScriptEditor.o ButtonEditor.o Interpreter.o Formula.o \
   StringsEditor.o DemoEditor.o \
   motifEmulator.o GuiText.o GuiWindow.o Gui.o GuiObject.o GuiDrawingArea.o \
   GuiMenu.o GuiButton.o GuiLabel.o GuiCheckButton.o GuiRadioButton.o \
   GuiDialog.o GuiRowColumn.o GuiList.o

all: libsys.a
libsys.a: $(OBJECTS)
	touch libsys.a
	rm libsys.a
	ar cq libsys.a $(OBJECTS)
	$(RANLIB) libsys.a

$(OBJECTS): *.h ../num/NUM.h ../dwsys/*.h ../kar/*.h ../audio/*.h ../FLAC/*.h ../mp3/mp3.h

## praat 5.1.25

=== Makefile ===
# Makefile of the library "Ola"
# Ola Söder 20080109


include ../../makefile.defs

CFLAGS =  -I ../../dwtools -I ../../fon -I ../../sys -I ../../dwsys -I ../../stat -I ../../num -I ../../GSL -D_DEBUG -D_REENTRANT

all: libOla.a  

clean:
	rm *.o *.a

OBJECTS = KNN.o \
   KNN_threads.o Pattern_to_Categories_cluster.o KNN_prune.o FeatureWeights.o praat_contrib_Ola_KNN.o manual_KNN.o

$(OBJECTS): *.h ../../sys/*.h ../../dwtools/*.h ../../fon/*.h ../../dwsys/*.h ../../stat/*.h ../../num/*.h ../../GSL/*.h

libOla.a: $(OBJECTS)
	touch libOla.a
	rm libOla.a
	ar cq libOla.a $(OBJECTS)
	$(RANLIB) libOla.a

=== FLAC/Makefile ===
# Makefile for FLAC library
# Erez Volk, March 2007
# pb 20100108: include sys/melder.h

include ../makefile.defs

CFLAGS = -DFLAC__NOASM -I ../sys

# EREZ ?
# On non-Intel, also define -DFLAC__CPU_UNKNOWN
# On Intel, define -DFLAC__CPU_IA32
# On PowerPC, define -DFLAC__CPU_PPC
# How/when are these relevant?

all: libFLAC.a

clean:
	rm *.o

OBJECTS = \
	flac_bitmath.o \
	flac_bitreader.o \
	flac_bitwriter.o \
	flac_cpu.o \
	flac_crc.o \
	flac_fixed.o \
	flac_float.o \
	flac_format.o \
	flac_lpc.o \
	flac_md5.o \
	flac_memory.o \
	flac_metadata_iterators.o \
	flac_metadata_object.o \
	flac_stream_decoder.o \
	flac_stream_encoder.o \
	flac_stream_encoder_framing.o \
	flac_window.o
 
TEST = 

$(OBJECTS): *.h ../sys/melder.h

test: $(TEST)  libFLAC.a





libFLAC.a: $(OBJECTS)
	touch libFLAC.a
	rm libFLAC.a
	ar cq libFLAC.a $(OBJECTS)
	$(RANLIB) libFLAC.a

=== GSL/Makefile ===
# Makefile for library gsl. This file was generated by the program flatten_gsl.py
# djmw 20080326

include ../makefile.defs

CFLAGS = -I ../sys -I ../dwsys

all: libgsl.a

clean:
	rm *.o

OBJECTS = gsl_blas__blas.o gsl_block__block.o gsl_block__file.o \
   gsl_block__init.o gsl_bspline__bspline.o gsl_cblas__caxpy.o \
   gsl_cblas__ccopy.o gsl_cblas__cdotc_sub.o gsl_cblas__cdotu_sub.o \
   gsl_cblas__cgbmv.o gsl_cblas__cgemm.o gsl_cblas__cgemv.o \
   gsl_cblas__cgerc.o gsl_cblas__cgeru.o gsl_cblas__chbmv.o \
   gsl_cblas__chemm.o gsl_cblas__chemv.o gsl_cblas__cher.o \
   gsl_cblas__cher2.o gsl_cblas__cher2k.o gsl_cblas__cherk.o \
   gsl_cblas__chpmv.o gsl_cblas__chpr.o gsl_cblas__chpr2.o \
   gsl_cblas__cscal.o gsl_cblas__csscal.o gsl_cblas__cswap.o \
   gsl_cblas__csymm.o gsl_cblas__csyr2k.o gsl_cblas__csyrk.o \
   gsl_cblas__ctbmv.o gsl_cblas__ctbsv.o gsl_cblas__ctpmv.o \
   gsl_cblas__ctpsv.o gsl_cblas__ctrmm.o gsl_cblas__ctrmv.o \
   gsl_cblas__ctrsm.o gsl_cblas__ctrsv.o gsl_cblas__dasum.o \
   gsl_cblas__daxpy.o gsl_cblas__dcopy.o gsl_cblas__ddot.o \
   gsl_cblas__dgbmv.o gsl_cblas__dgemm.o gsl_cblas__dgemv.o \
   gsl_cblas__dger.o gsl_cblas__dnrm2.o gsl_cblas__drot.o \
   gsl_cblas__drotg.o gsl_cblas__drotm.o gsl_cblas__drotmg.o \
   gsl_cblas__dsbmv.o gsl_cblas__dscal.o gsl_cblas__dsdot.o \
   gsl_cblas__dspmv.o gsl_cblas__dspr.o gsl_cblas__dspr2.o \
   gsl_cblas__dswap.o gsl_cblas__dsymm.o gsl_cblas__dsymv.o \
   gsl_cblas__dsyr.o gsl_cblas__dsyr2.o gsl_cblas__dsyr2k.o \
   gsl_cblas__dsyrk.o gsl_cblas__dtbmv.o gsl_cblas__dtbsv.o \
   gsl_cblas__dtpmv.o gsl_cblas__dtpsv.o gsl_cblas__dtrmm.o \
   gsl_cblas__dtrmv.o gsl_cblas__dtrsm.o gsl_cblas__dtrsv.o \
   gsl_cblas__dzasum.o gsl_cblas__dznrm2.o gsl_cblas__icamax.o \
   gsl_cblas__idamax.o gsl_cblas__isamax.o gsl_cblas__izamax.o \
   gsl_cblas__sasum.o gsl_cblas__saxpy.o gsl_cblas__scasum.o \
   gsl_cblas__scnrm2.o gsl_cblas__scopy.o gsl_cblas__sdot.o \
   gsl_cblas__sdsdot.o gsl_cblas__sgbmv.o gsl_cblas__sgemm.o \
   gsl_cblas__sgemv.o gsl_cblas__sger.o gsl_cblas__snrm2.o \
   gsl_cblas__srot.o gsl_cblas__srotg.o gsl_cblas__srotm.o \
   gsl_cblas__srotmg.o gsl_cblas__ssbmv.o gsl_cblas__sscal.o \
   gsl_cblas__sspmv.o gsl_cblas__sspr.o gsl_cblas__sspr2.o \
   gsl_cblas__sswap.o gsl_cblas__ssymm.o gsl_cblas__ssymv.o \
   gsl_cblas__ssyr.o gsl_cblas__ssyr2.o gsl_cblas__ssyr2k.o \
   gsl_cblas__ssyrk.o gsl_cblas__stbmv.o gsl_cblas__stbsv.o \
   gsl_cblas__stpmv.o gsl_cblas__stpsv.o gsl_cblas__strmm.o \
   gsl_cblas__strmv.o gsl_cblas__strsm.o gsl_cblas__strsv.o \
   gsl_cblas__xerbla.o gsl_cblas__zaxpy.o gsl_cblas__zcopy.o \
   gsl_cblas__zdotc_sub.o gsl_cblas__zdotu_sub.o gsl_cblas__zdscal.o \
   gsl_cblas__zgbmv.o gsl_cblas__zgemm.o gsl_cblas__zgemv.o \
   gsl_cblas__zgerc.o gsl_cblas__zgeru.o gsl_cblas__zhbmv.o \
   gsl_cblas__zhemm.o gsl_cblas__zhemv.o gsl_cblas__zher.o \
   gsl_cblas__zher2.o gsl_cblas__zher2k.o gsl_cblas__zherk.o \
   gsl_cblas__zhpmv.o gsl_cblas__zhpr.o gsl_cblas__zhpr2.o \
   gsl_cblas__zscal.o gsl_cblas__zswap.o gsl_cblas__zsymm.o \
   gsl_cblas__zsyr2k.o gsl_cblas__zsyrk.o gsl_cblas__ztbmv.o \
   gsl_cblas__ztbsv.o gsl_cblas__ztpmv.o gsl_cblas__ztpsv.o \
   gsl_cblas__ztrmm.o gsl_cblas__ztrmv.o gsl_cblas__ztrsm.o \
   gsl_cblas__ztrsv.o gsl_cdf__beta.o gsl_cdf__betainv.o \
   gsl_cdf__binomial.o gsl_cdf__cauchy.o gsl_cdf__cauchyinv.o \
   gsl_cdf__chisq.o gsl_cdf__chisqinv.o gsl_cdf__exponential.o \
   gsl_cdf__exponentialinv.o gsl_cdf__exppow.o gsl_cdf__fdist.o \
   gsl_cdf__fdistinv.o gsl_cdf__flat.o gsl_cdf__flatinv.o \
   gsl_cdf__gamma.o gsl_cdf__gammainv.o gsl_cdf__gauss.o \
   gsl_cdf__gaussinv.o gsl_cdf__geometric.o gsl_cdf__gumbel1.o \
   gsl_cdf__gumbel1inv.o gsl_cdf__gumbel2.o gsl_cdf__gumbel2inv.o \
   gsl_cdf__hypergeometric.o gsl_cdf__laplace.o gsl_cdf__laplaceinv.o \
   gsl_cdf__logistic.o gsl_cdf__logisticinv.o gsl_cdf__lognormal.o \
   gsl_cdf__lognormalinv.o gsl_cdf__nbinomial.o gsl_cdf__pareto.o \
   gsl_cdf__paretoinv.o gsl_cdf__pascal.o gsl_cdf__poisson.o \
   gsl_cdf__rayleigh.o gsl_cdf__rayleighinv.o gsl_cdf__tdist.o \
   gsl_cdf__tdistinv.o gsl_cdf__weibull.o gsl_cdf__weibullinv.o \
   gsl_combination__combination.o gsl_combination__file.o gsl_combination__init.o \
   gsl_complex__math.o gsl_deriv__deriv.o gsl_dht__dht.o \
   gsl_diff__diff.o gsl_eigen__francis.o gsl_eigen__gen.o \
   gsl_eigen__genherm.o gsl_eigen__genhermv.o gsl_eigen__gensymm.o \
   gsl_eigen__gensymmv.o gsl_eigen__genv.o gsl_eigen__herm.o \
   gsl_eigen__hermv.o gsl_eigen__jacobi.o gsl_eigen__nonsymm.o \
   gsl_eigen__nonsymmv.o gsl_eigen__schur.o gsl_eigen__sort.o \
   gsl_eigen__symm.o gsl_eigen__symmv.o gsl_err__error.o \
   gsl_err__message.o gsl_err__stream.o gsl_err__strerror.o \
   gsl_fft__dft.o gsl_fft__fft.o gsl_fft__signals.o \
   gsl_fit__linear.o gsl_histogram__add.o gsl_histogram__add2d.o \
   gsl_histogram__calloc_range.o gsl_histogram__calloc_range2d.o gsl_histogram__copy.o \
   gsl_histogram__copy2d.o gsl_histogram__file.o gsl_histogram__file2d.o \
   gsl_histogram__get.o gsl_histogram__get2d.o gsl_histogram__init.o \
   gsl_histogram__init2d.o gsl_histogram__maxval.o gsl_histogram__maxval2d.o \
   gsl_histogram__oper.o gsl_histogram__oper2d.o gsl_histogram__params.o \
   gsl_histogram__params2d.o gsl_histogram__pdf.o gsl_histogram__pdf2d.o \
   gsl_histogram__reset.o gsl_histogram__reset2d.o gsl_histogram__stat.o \
   gsl_histogram__stat2d.o gsl_ieee-utils__env.o gsl_ieee-utils__fp.o \
   gsl_ieee-utils__make_rep.o gsl_ieee-utils__print.o gsl_ieee-utils__read.o \
   gsl_integration__qag.o gsl_integration__qagp.o gsl_integration__qags.o \
   gsl_integration__qawc.o gsl_integration__qawf.o gsl_integration__qawo.o \
   gsl_integration__qaws.o gsl_integration__qcheb.o gsl_integration__qk.o \
   gsl_integration__qk15.o gsl_integration__qk21.o gsl_integration__qk31.o \
   gsl_integration__qk41.o gsl_integration__qk51.o gsl_integration__qk61.o \
   gsl_integration__qmomo.o gsl_integration__qmomof.o gsl_integration__qng.o \
   gsl_integration__workspace.o gsl_linalg__balance.o gsl_linalg__balancemat.o \
   gsl_linalg__bidiag.o gsl_linalg__cholesky.o gsl_linalg__choleskyc.o \
   gsl_linalg__exponential.o gsl_linalg__hermtd.o gsl_linalg__hessenberg.o \
   gsl_linalg__hesstri.o gsl_linalg__hh.o gsl_linalg__householder.o \
   gsl_linalg__householdercomplex.o gsl_linalg__lq.o gsl_linalg__lu.o \
   gsl_linalg__luc.o gsl_linalg__multiply.o gsl_linalg__ptlq.o \
   gsl_linalg__qr.o gsl_linalg__qrpt.o gsl_linalg__svd.o \
   gsl_linalg__symmtd.o gsl_linalg__tridiag.o gsl_matrix__copy.o \
   gsl_matrix__file.o gsl_matrix__getset.o gsl_matrix__init.o \
   gsl_matrix__matrix.o gsl_matrix__minmax.o gsl_matrix__oper.o \
   gsl_matrix__prop.o gsl_matrix__rowcol.o gsl_matrix__submatrix.o \
   gsl_matrix__swap.o gsl_matrix__view.o gsl_min__bracketing.o \
   gsl_min__brent.o gsl_min__convergence.o gsl_min__fsolver.o \
   gsl_min__golden.o gsl_monte__miser.o gsl_monte__plain.o \
   gsl_monte__vegas.o gsl_multifit__convergence.o gsl_multifit__covar.o \
   gsl_multifit__fdfsolver.o gsl_multifit__fsolver.o gsl_multifit__gradient.o \
   gsl_multifit__lmder.o gsl_multifit__multilinear.o gsl_multifit__work.o \
   gsl_multimin__conjugate_fr.o gsl_multimin__conjugate_pr.o gsl_multimin__convergence.o \
   gsl_multimin__diff.o gsl_multimin__fdfminimizer.o gsl_multimin__fminimizer.o \
   gsl_multimin__simplex.o gsl_multimin__steepest_descent.o gsl_multimin__vector_bfgs.o \
   gsl_multimin__vector_bfgs2.o gsl_multiroots__broyden.o gsl_multiroots__convergence.o \
   gsl_multiroots__dnewton.o gsl_multiroots__fdfsolver.o gsl_multiroots__fdjac.o \
   gsl_multiroots__fsolver.o gsl_multiroots__gnewton.o gsl_multiroots__hybrid.o \
   gsl_multiroots__hybridj.o gsl_multiroots__newton.o gsl_ntuple__ntuple.o \
   gsl_ode-initval__bsimp.o gsl_ode-initval__control.o gsl_ode-initval__cscal.o \
   gsl_ode-initval__cstd.o gsl_ode-initval__evolve.o gsl_ode-initval__gear1.o \
   gsl_ode-initval__gear2.o gsl_ode-initval__rk2.o gsl_ode-initval__rk2imp.o \
   gsl_ode-initval__rk2simp.o gsl_ode-initval__rk4.o gsl_ode-initval__rk4imp.o \
   gsl_ode-initval__rk8pd.o gsl_ode-initval__rkck.o gsl_ode-initval__rkf45.o \
   gsl_ode-initval__step.o gsl_permutation__canonical.o gsl_permutation__file.o \
   gsl_permutation__init.o gsl_permutation__permutation.o gsl_permutation__permute.o \
   gsl_poly__dd.o gsl_poly__eval.o gsl_poly__solve_cubic.o \
   gsl_poly__solve_quadratic.o gsl_poly__zsolve.o gsl_poly__zsolve_cubic.o \
   gsl_poly__zsolve_init.o gsl_poly__zsolve_quadratic.o gsl_qrng__niederreiter-2.o \
   gsl_qrng__qrng.o gsl_qrng__sobol.o gsl_randist__bernoulli.o \
   gsl_randist__beta.o gsl_randist__bigauss.o gsl_randist__binomial.o \
   gsl_randist__binomial_tpe.o gsl_randist__cauchy.o gsl_randist__chisq.o \
   gsl_randist__dirichlet.o gsl_randist__discrete.o gsl_randist__erlang.o \
   gsl_randist__exponential.o gsl_randist__exppow.o gsl_randist__fdist.o \
   gsl_randist__flat.o gsl_randist__gamma.o gsl_randist__gauss.o \
   gsl_randist__gausstail.o gsl_randist__gausszig.o gsl_randist__geometric.o \
   gsl_randist__gumbel.o gsl_randist__hyperg.o gsl_randist__landau.o \
   gsl_randist__laplace.o gsl_randist__levy.o gsl_randist__logarithmic.o \
   gsl_randist__logistic.o gsl_randist__lognormal.o gsl_randist__multinomial.o \
   gsl_randist__nbinomial.o gsl_randist__pareto.o gsl_randist__pascal.o \
   gsl_randist__poisson.o gsl_randist__rayleigh.o gsl_randist__shuffle.o \
   gsl_randist__sphere.o gsl_randist__tdist.o gsl_randist__weibull.o \
   gsl_rng__borosh13.o gsl_rng__cmrg.o gsl_rng__coveyou.o \
   gsl_rng__default.o gsl_rng__file.o gsl_rng__fishman18.o \
   gsl_rng__fishman20.o gsl_rng__fishman2x.o gsl_rng__gfsr4.o \
   gsl_rng__knuthran.o gsl_rng__knuthran2.o gsl_rng__knuthran2002.o \
   gsl_rng__lecuyer21.o gsl_rng__minstd.o gsl_rng__mrg.o \
   gsl_rng__mt.o gsl_rng__r250.o gsl_rng__ran0.o \
   gsl_rng__ran1.o gsl_rng__ran2.o gsl_rng__ran3.o \
   gsl_rng__rand.o gsl_rng__rand48.o gsl_rng__random.o \
   gsl_rng__randu.o gsl_rng__ranf.o gsl_rng__ranlux.o \
   gsl_rng__ranlxd.o gsl_rng__ranlxs.o gsl_rng__ranmar.o \
   gsl_rng__rng.o gsl_rng__slatec.o gsl_rng__taus.o \
   gsl_rng__taus113.o gsl_rng__transputer.o gsl_rng__tt.o \
   gsl_rng__types.o gsl_rng__uni.o gsl_rng__uni32.o \
   gsl_rng__vax.o gsl_rng__waterman14.o gsl_rng__zuf.o \
   gsl_roots__bisection.o gsl_roots__brent.o gsl_roots__convergence.o \
   gsl_roots__falsepos.o gsl_roots__fdfsolver.o gsl_roots__fsolver.o \
   gsl_roots__newton.o gsl_roots__secant.o gsl_roots__steffenson.o \
   gsl_siman__siman.o gsl_sort__sort.o gsl_sort__sortind.o \
   gsl_sort__sortvec.o gsl_sort__sortvecind.o gsl_sort__subset.o \
   gsl_sort__subsetind.o gsl_specfunc__airy.o gsl_specfunc__airy_der.o \
   gsl_specfunc__airy_zero.o gsl_specfunc__atanint.o gsl_specfunc__bessel.o \
   gsl_specfunc__bessel_I0.o gsl_specfunc__bessel_I1.o gsl_specfunc__bessel_In.o \
   gsl_specfunc__bessel_Inu.o gsl_specfunc__bessel_J0.o gsl_specfunc__bessel_J1.o \
   gsl_specfunc__bessel_Jn.o gsl_specfunc__bessel_Jnu.o gsl_specfunc__bessel_K0.o \
   gsl_specfunc__bessel_K1.o gsl_specfunc__bessel_Kn.o gsl_specfunc__bessel_Knu.o \
   gsl_specfunc__bessel_Y0.o gsl_specfunc__bessel_Y1.o gsl_specfunc__bessel_Yn.o \
   gsl_specfunc__bessel_Ynu.o gsl_specfunc__bessel_amp_phase.o gsl_specfunc__bessel_i.o \
   gsl_specfunc__bessel_j.o gsl_specfunc__bessel_k.o gsl_specfunc__bessel_olver.o \
   gsl_specfunc__bessel_sequence.o gsl_specfunc__bessel_temme.o gsl_specfunc__bessel_y.o \
   gsl_specfunc__bessel_zero.o gsl_specfunc__beta.o gsl_specfunc__beta_inc.o \
   gsl_specfunc__clausen.o gsl_specfunc__coulomb.o gsl_specfunc__coulomb_bound.o \
   gsl_specfunc__coupling.o gsl_specfunc__dawson.o gsl_specfunc__debye.o \
   gsl_specfunc__dilog.o gsl_specfunc__elementary.o gsl_specfunc__ellint.o \
   gsl_specfunc__elljac.o gsl_specfunc__erfc.o gsl_specfunc__exp.o \

=== artsynth/Makefile ===
# Makefile of the library "artsynth"
# Paul Boersma, April 9, 2008

include ../makefile.defs
CFLAGS = -I ../num -I ../sys -I ../fon -I ../stat

all: libartsynth.a

OBJECTS = Speaker.o Articulation.o Artword.o \
     Art_Speaker.o Art_Speaker_to_VocalTract.o Artword_Speaker.o Artword_Speaker_Sound.o \
     Artword_Speaker_to_Sound.o Artword_to_Art.o \
     Delta.o Speaker_to_Delta.o Art_Speaker_Delta.o \
     ArtwordEditor.o praat_Artsynth.o manual_Artsynth.o

libartsynth.a: $(OBJECTS)
	touch libartsynth.a
	rm libartsynth.a
	ar cq libartsynth.a $(OBJECTS)
	$(RANLIB) libartsynth.a

$(OBJECTS): *.h ../num/NUM.h ../sys/*.h ../fon/*.h ../stat/*.h

=== dwsys/Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 # makefile for library "dwsys".
 # David Weenink 20061222
-# djmw 20080130 Latest modification.
 # djmw 20090607 Added -O0 to remove optimization for the numerical routines (especially NUMcblas.c)
+# djmw 20100109 Remove -O0, gcc-4.4 is save now
 
 include ../makefile.defs
 
-CFLAGS = -I ../stat -I ../num -I ../sys -I ../GSL -I ../kar -O0
+CFLAGS = -I ../stat -I ../num -I ../sys -I ../GSL -I ../kar
 
 all: libdwsys.a
 
@@ -28,4 +28,4 @@
 	rm libdwsys.a
 	ar cq libdwsys.a $(OBJECTS)
 	$(RANLIB) libdwsys.a
-	
+

=== dwtools/Makefile ===
--- 
+++ 
@@ -1,31 +1,31 @@
 # # Makefile of the library "dwtools"
 
-# 
+#
 #  Copyright (C) 1993-2009 David Weenink
-# 
+#
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
 #  the Free Software Foundation; either version 2 of the License, or (at
 #  your option) any later version.
-# 
+#
 #  This program is distributed in the hope that it will be useful, but
 #  WITHOUT ANY WARRANTY; without even the implied warranty of
 #  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 #  General Public License for more details.
-# 
+#
 #  You should have received a copy of the GNU General Public License
 #  along with this program; if not, write to the Free Software
 #  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-# 
-# 
-# 
+#
+#
+#
 #  djmw 20030825 Removed dependency on -I ../GSL
 #  djmw 20090417 Latest modification.
 
 
 include ../makefile.defs
 
-CFLAGS = -I ../num -I ../LPC -I ../fon -I ../sys -I ../dwsys -I ../audio -I ../stat -I ../GSL
+CFLAGS = -I ../num -I ../LPC -I ../fon -I ../sys -I ../dwsys -I ../audio -I ../stat -I ../GSL -ggdb
 
 all: libdwtools.a
 
@@ -76,6 +76,6 @@
 libdwtools.a: $(OBJECTS)
 	touch libdwtools.a
 	rm libdwtools.a
-	ar cq libdwtools.a $(OBJECTS) 
+	ar cq libdwtools.a $(OBJECTS)
 	$(RANLIB) libdwtools.a
-	
+

=== fon/Makefile ===
# Makefile of the library "fon"
# Paul Boersma, 27 February 2009

include ../makefile.defs
CFLAGS = -I ../num -I ../audio -I ../kar -I ../sys -I ../dwsys -I ../stat -I ../dwtools -I ../LPC -I ../fon -I ../FLAC -I ../mp3

OBJECTS = Transition.o Distributions_and_Transition.o \
   Function.o Sampled.o Matrix.o Vector.o Polygon.o PointProcess.o \
   Matrix_and_PointProcess.o Matrix_and_Polygon.o AnyTier.o RealTier.o \
   Sound.o LongSound.o Sound_files.o Sound_audio.o PointProcess_and_Sound.o ParamCurve.o \
   Pitch.o Harmonicity.o Intensity.o Matrix_and_Pitch.o Sound_to_Pitch.o \
   Sound_to_Intensity.o Sound_to_Harmonicity.o Sound_to_Harmonicity_GNE.o Sound_to_PointProcess.o \
   Pitch_to_PointProcess.o Pitch_to_Sound.o Pitch_Intensity.o \
   PitchTier.o Pitch_to_PitchTier.o PitchTier_to_PointProcess.o PitchTier_to_Sound.o Manipulation.o \
   Pitch_AnyTier_to_PitchTier.o IntensityTier.o DurationTier.o AmplitudeTier.o \
   Spectrum.o Ltas.o Spectrogram.o SpectrumTier.o Ltas_to_SpectrumTier.o \
   Formant.o Image.o Sound_to_Formant.o Sound_and_Spectrogram.o \
   Sound_and_Spectrum.o Spectrum_and_Spectrogram.o Spectrum_to_Formant.o \
   FormantTier.o TextGrid.o Label.o FormantGrid.o \
   Excitation.o Cochleagram.o Cochleagram_and_Excitation.o Excitation_to_Formant.o \
   Sound_to_Cochleagram.o Spectrum_to_Excitation.o \
   VocalTract.o VocalTract_to_Spectrum.o \
   SoundRecorder.o Sound_enhance.o VoiceAnalysis.o \
   FunctionEditor.o TimeSoundEditor.o TimeSoundAnalysisEditor.o \
   PitchEditor.o SoundEditor.o SpectrumEditor.o SpectrogramEditor.o PointEditor.o \
   RealTierEditor.o PitchTierEditor.o IntensityTierEditor.o \
   DurationTierEditor.o AmplitudeTierEditor.o \
   ManipulationEditor.o TextGridEditor.o FormantGridEditor.o \
   WordList.o SpellingChecker.o \
   FujisakiPitch.o \
   ExperimentMFC.o RunnerMFC.o manual_Exp.o praat_Exp.o \
   manual_Picture.o manual_Manual.o manual_Script.o \
   manual_soundFiles.o manual_tutorials.o manual_references.o \
   manual_programming.o manual_Fon.o manual_voice.o Praat_tests.o \
   manual_glossary.o manual_Sampling.o manual_exampleSound.o \
   manual_sound.o manual_pitch.o manual_spectrum.o manual_formant.o manual_annotation.o \
   praat_Sound_init.o praat_TextGrid_init.o praat_Fon.o

all: libfon.a
libfon.a: $(OBJECTS)
	touch libfon.a
	rm libfon.a
	ar cq libfon.a $(OBJECTS)
	$(RANLIB) libfon.a

$(OBJECTS): *.h ../num/NUM.h ../audio/*.h ../kar/*.h ../sys/*.h ../dwsys/*.h ../stat/*.h ../dwtools/*.h ../LPC/*.h ../FLAC/*.h ../mp3/mp3.h

=== gram/Makefile ===
# Makefile of the library "gram"
# Paul Boersma, 1 March 2009

include ../makefile.defs
CFLAGS = -I ../num -I ../audio -I ../kar -I ../sys -I ../dwsys -I ../stat -I ../dwtools -I ../fon

OBJECTS = Network.o \
   OTGrammar.o OTGrammarEditor.o manual_gram.o praat_gram.o OTMulti.o OTMultiEditor.o \
   OTGrammar_ex_metrics.o OTGrammar_ex_NoCoda.o OTGrammar_ex_NPA.o OTGrammar_ex_tongueRoot.o

all: libgram.a
libgram.a: $(OBJECTS)
	touch libgram.a
	rm libgram.a
	ar cq libgram.a $(OBJECTS)
	$(RANLIB) libgram.a

$(OBJECTS): *.h ../num/NUM.h ../audio/*.h ../kar/*.h ../sys/*.h ../dwsys/*.h ../stat/*.h ../dwtools/*.h ../fon/*.h

=== mp3/Makefile ===
# Makefile for mp3 wrapper library.
# Erez Volk 20070524

include ../makefile.defs
CFLAGS = -I ../sys

all: libmp3.a

clean:
	rm *.o

OBJECTS = mp3.o \
	mad_bit.o \
	mad_decoder.o \
	mad_fixed.o \
	mad_frame.o \
	mad_huffman.o \
	mad_layer12.o \
	mad_layer3.o \
	mad_stream.o \
	mad_synth.o \
	mad_timer.o \
	mad_version.o

TEST = test.o

$(OBJECTS): *.h ../sys/*.h

test: $(TEST) libmp3.a

libmp3.a: $(OBJECTS)
	touch libmp3.a
	rm libmp3.a
	ar cq libmp3.a $(OBJECTS)
	$(RANLIB) libmp3.a

=== stat/Makefile ===
# Makefile of the library "stat"
# Paul Boersma, April 9, 2008

include ../makefile.defs
CFLAGS = -I ../num -I ../audio -I ../kar -I ../sys -I ../dwsys -I ../dwtools -I ../fon -I ../stat

OBJECTS = Table.o TableEditor.o Regression.o manual_statistics.o praat_Stat.o \
   TableOfReal.o Distributions.o Distributions_and_Strings.o PairDistribution.o \
   LogisticRegression.o

all: libstat.a
libstat.a: $(OBJECTS)
	touch libstat.a
	rm libstat.a
	ar cq libstat.a $(OBJECTS)
	$(RANLIB) libstat.a

$(OBJECTS): *.h ../num/NUM.h ../audio/*.h ../kar/*.h ../sys/*.h ../dwsys/*.h ../dwtools/*.h ../fon/*.h

=== sys/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # Makefile of the library "sys"
-# Paul Boersma, 7 May 2009
+# Paul Boersma, 15 November 2009
 
 include ../makefile.defs
 CFLAGS = -I ../num -I ../sys -I ../dwsys -I ../kar -I ../audio -I ../FLAC -I ../mp3
 
-OBJECTS = enum.o abcio.o lispio.o complex.o \
+OBJECTS = abcio.o lispio.o complex.o \
    melder_ftoa.o melder_atof.o melder_error.o melder_alloc.o melder.o melder_strings.o \
    melder_token.o melder_files.o melder_audio.o melder_audiofiles.o \
    melder_debug.o melder_sysenv.o melder_info.o melder_quantity.o \

## praat 5.1.29

=== sys/Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
 # Makefile of the library "sys"
-# Paul Boersma, 15 November 2009
+# Paul Boersma, 22 February 2010
 
 include ../makefile.defs
-CFLAGS = -I ../num -I ../sys -I ../dwsys -I ../kar -I ../audio -I ../FLAC -I ../mp3
+
+CFLAGS = -I ../num -I ../sys -I ../dwsys -I ../kar -I ../audio -I ../audio/FLAC -I ../audio/mp3
 
 OBJECTS = abcio.o lispio.o complex.o \
    melder_ftoa.o melder_atof.o melder_error.o melder_alloc.o melder.o melder_strings.o \
@@ -26,11 +27,18 @@
    GuiMenu.o GuiButton.o GuiLabel.o GuiCheckButton.o GuiRadioButton.o \
    GuiDialog.o GuiRowColumn.o GuiList.o
 
+.PHONY: all clean
+
 all: libsys.a
+
+clean:
+	$(RM) $(OBJECTS)
+	$(RM) libsys.a
+
 libsys.a: $(OBJECTS)
 	touch libsys.a
 	rm libsys.a
 	ar cq libsys.a $(OBJECTS)
 	$(RANLIB) libsys.a
 
-$(OBJECTS): *.h ../num/NUM.h ../dwsys/*.h ../kar/*.h ../audio/*.h ../FLAC/*.h ../mp3/mp3.h
+$(OBJECTS): *.h ../num/NUM.h ../dwsys/*.h ../kar/*.h ../audio/*.h ../audio/FLAC/*.h ../audio/mp3/mp3.h

=== num/glpk/Makefile ===
# Makefile for library "num/glpk"
# Paul Boersma, 22 February 2010

include ../../makefile.defs

CFLAGS = 

OBJECTS = glpapi01.o glpapi02.o glpapi03.o glpapi04.o glpapi05.o glpapi06.o \
   glpapi07.o glpapi08.o glpapi09.o glpapi10.o glpapi11.o glpapi12.o glpapi13.o \
   glpavl.o glpbfd.o glpbfx.o glpcli.o glpdmp.o glpfhv.o glpgmp.o glphbm.o \
   glpios01.o glpios02.o glpios03.o glpios04.o glpios05.o glpios06.o glpipm.o \
   glpipp01.o glpipp02.o glplib01.o glplib02.o glplib03.o glplib04.o glplib05.o \
   glplib06.o glplib07.o glplib08.o glplib09.o glplib10.o glplib11.o glplib12.o \
   glplpf.o glplpp01.o glplpp02.o \
   glplpx01.o glplpx02.o glplpx03.o glplpx04.o glplpx05.o \
   glplpx06.o glplpx07.o glplpx08.o glplpx09.o glplpx10.o \
   glplpx11.o glplpx12.o glplpx13.o glplpx14.o glplpx15.o \
   glplpx16.o glplpx17.o glplpx18.o glplpx19.o glplpx20.o \
   glpluf.o glplux.o glpmat.o \
   glpmpl01.o glpmpl02.o glpmpl03.o glpmpl04.o glpmpl05.o \
   glppds.o glpqmd.o glprgr.o glprng01.o glprng02.o \
   glpscf.o glpscg.o glpspm.o glpspx01.o glpspx02.o \
   glpsql.o glpssx01.o glpssx02.o glptsp.o

.PHONY: all clean

all: libglpk.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libglpk.a

libglpk.a: $(OBJECTS)
	touch libglpk.a
	rm libglpk.a
	ar cq libglpk.a $(OBJECTS)
	$(RANLIB) libglpk.a

$(OBJECTS): *.h

## praat 5.1.42

=== FFNet/Makefile ===
# Makefile of the library "FFNet"
# David Weenink, 22 February 2010

include ../makefile.defs

CFLAGS = -I ../num -I ../dwtools -I ../fon -I ../sys -I ../dwsys -I ../stat

OBJECTS = FFNet.o \
	FFNet_Eigen.o FFNet_Matrix.o FFNet_Pattern.o \
	FFNet_Activation_Categories.o FFNet_Pattern_Activation.o \
	FFNet_Pattern_Categories.o \
	praat_FFNet_init.o manual_FFNet.o

.PHONY: all clean

all: libFFNet.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libFFNet.a

libFFNet.a: $(OBJECTS)
	touch libFFNet.a
	rm libFFNet.a
	ar cq libFFNet.a $(OBJECTS)
	$(RANLIB) libFFNet.a

$(OBJECTS): *.h ../num/NUM.h ../sys/*.h ../dwtools/*.h ../fon/*.h ../dwsys/*.h ../stat/*.h

=== GSL/Makefile ===
--- 
+++ 
@@ -1,14 +1,9 @@
 # Makefile for library gsl. This file was generated by the program flatten_gsl.py
-# djmw 20080326
+# David Weenink, 22 February 2010
 
 include ../makefile.defs
 
 CFLAGS = -I ../sys -I ../dwsys
-
-all: libgsl.a
-
-clean:
-	rm *.o
 
 OBJECTS = gsl_blas__blas.o gsl_block__block.o gsl_block__file.o \
    gsl_block__init.o gsl_bspline__bspline.o gsl_cblas__caxpy.o \
@@ -180,3 +175,4 @@
    gsl_specfunc__coupling.o gsl_specfunc__dawson.o gsl_specfunc__debye.o \
    gsl_specfunc__dilog.o gsl_specfunc__elementary.o gsl_specfunc__ellint.o \
    gsl_specfunc__elljac.o gsl_specfunc__erfc.o gsl_specfunc__exp.o \
+   gsl_specfunc__expint.o gsl_specfunc__expint3.o gsl_specfunc__fermi_dirac.o \

=== LPC/Makefile ===
# Makefile of the library "LPC"
# David Weenink, 22 February 2010

include ../makefile.defs

CFLAGS = -I ../num -I ../dwtools -I ../fon -I ../sys -I ../dwsys -I ../stat

OBJECTS = Cepstrum.o Cepstrumc.o Cepstrum_and_Spectrum.o \
	LPC.o LPC_and_Cepstrumc.o LPC_and_Formant.o LPC_and_LFCC.o \
	LPC_and_Polynomial.o \
	LPC_to_Spectrum.o  LPC_to_Spectrogram.o \
	LPC_and_Tube.o \
	Sound_and_LPC.o  Sound_and_LPC_robust.o \
	Sound_and_Cepstrum.o Tube.o \
	praat_LPC_init.o manual_LPC.o

.PHONY: all clean

all: libLPC.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libLPC.a

libLPC.a: $(OBJECTS)
	touch libLPC.a
	rm libLPC.a
	ar cq libLPC.a $(OBJECTS)
	$(RANLIB) libLPC.a

$(OBJECTS): *.h ../num/NUM.h ../dwtools/*.h ../fon/*.h ../sys/*.h ../dwsys/*.h ../stat/*.h

=== artsynth/Makefile ===
--- 
+++ 
@@ -1,16 +1,22 @@
 # Makefile of the library "artsynth"
-# Paul Boersma, April 9, 2008
+# Paul Boersma, 22 February 2010
 
 include ../makefile.defs
 CFLAGS = -I ../num -I ../sys -I ../fon -I ../stat
-
-all: libartsynth.a
 
 OBJECTS = Speaker.o Articulation.o Artword.o \
      Art_Speaker.o Art_Speaker_to_VocalTract.o Artword_Speaker.o Artword_Speaker_Sound.o \
      Artword_Speaker_to_Sound.o Artword_to_Art.o \
      Delta.o Speaker_to_Delta.o Art_Speaker_Delta.o \
      ArtwordEditor.o praat_Artsynth.o manual_Artsynth.o
+
+.PHONY: all clean
+
+all: libartsynth.a
+
+clean:
+	$(RM) $(OBJECTS)
+	$(RM) libartsynth.a
 
 libartsynth.a: $(OBJECTS)
 	touch libartsynth.a

=== dwtools/Makefile ===
# Makefile of the library "dwtools"
# David Weenink, 22 February 2010

include ../makefile.defs

CFLAGS = -I ../num -I ../LPC -I ../fon -I ../sys -I ../dwsys -I ../audio -I ../stat

OBJECTS = Activation.o AffineTransform.o \
	Categories.o CategoriesEditor.o \
	Categories_and_Strings.o CCA.o CCA_and_Correlation.o \
	CC.o CCs_to_DTW.o \
	ClassificationTable.o Confusion.o \
	Configuration.o Configuration_AffineTransform.o \
	Configuration_and_Procrustes.o Distance.o \
	DTW.o DTW_and_TextGrid.o \
	Discriminant.o  Discriminant_Pattern_Categories.o \
	Eigen_and_Matrix.o Eigen_and_Procrustes.o \
	Eigen_and_TableOfReal.o\
	Eigen_and_SSCP.o Excitations.o \
	FilterBank.o FormantGrid_extensions.o \
	Intensity_extensions.o \
	LFCC.o LongSound_extensions.o \
	KlattGrid.o KlattGridEditors.o KlattTable.o \
	MelFilter_and_MFCC.o MFCC.o \
	manual_dwtools.o manual_KlattGrid.o manual_MDS.o manual_Permutation.o \
	Minimizers.o \
	Matrix_extensions.o \
	Matrix_Categories.o MDS.o \
	Pattern.o PCA.o \
	Pitch_extensions.o Polynomial.o \
	Polygon_extensions.o Procrustes.o \
	Proximity.o \
	Resonator.o \
	Sampled2.o \
	Sound_and_FilterBank.o Sound_extensions.o \
	Sound_to_MFCC.o \
	Sound_to_Pitch2.o Sound_to_SPINET.o SPINET.o SPINET_to_Pitch.o \
	Spectrum_extensions.o SSCP.o Strings_extensions.o \
	Table_extensions.o TableOfReal_and_SVD.o\
	TableOfReal_extensions.o \
	TableOfReal_and_Permutation.o \
	TextGrid_extensions.o \
	VowelEditor.o \
	praat_MDS_init.o praat_KlattGrid_init.o praat_David_init.o

.PHONY: all clean

all: libdwtools.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libdwtools.a

libdwtools.a: $(OBJECTS)
	touch libdwtools.a
	rm libdwtools.a
	ar cq libdwtools.a $(OBJECTS)
	$(RANLIB) libdwtools.a

$(OBJECTS): *.h ../num/NUM.h ../sys/*.h ../fon/*.h ../dwsys/*.h ../stat/*.h ../LPC/*.h

=== fon/Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
 # Makefile of the library "fon"
-# Paul Boersma, 27 February 2009
+# Paul Boersma, 22 February 2010
 
 include ../makefile.defs
-CFLAGS = -I ../num -I ../audio -I ../kar -I ../sys -I ../dwsys -I ../stat -I ../dwtools -I ../LPC -I ../fon -I ../FLAC -I ../mp3
+
+CFLAGS = -I ../num -I ../audio -I ../kar -I ../sys -I ../dwsys -I ../stat -I ../dwtools -I ../LPC -I ../fon -I ../audio/FLAC -I ../audio/mp3
 
 OBJECTS = Transition.o Distributions_and_Transition.o \
    Function.o Sampled.o Matrix.o Vector.o Polygon.o PointProcess.o \
@@ -36,11 +37,18 @@
    manual_sound.o manual_pitch.o manual_spectrum.o manual_formant.o manual_annotation.o \
    praat_Sound_init.o praat_TextGrid_init.o praat_Fon.o
 
+.PHONY: all clean
+
 all: libfon.a
+
+clean:
+	$(RM) $(OBJECTS)
+	$(RM) libfon.a
+
 libfon.a: $(OBJECTS)
 	touch libfon.a
 	rm libfon.a
 	ar cq libfon.a $(OBJECTS)
 	$(RANLIB) libfon.a
 
-$(OBJECTS): *.h ../num/NUM.h ../audio/*.h ../kar/*.h ../sys/*.h ../dwsys/*.h ../stat/*.h ../dwtools/*.h ../LPC/*.h ../FLAC/*.h ../mp3/mp3.h
+$(OBJECTS): *.h ../num/NUM.h ../audio/*.h ../kar/*.h ../sys/*.h ../dwsys/*.h ../stat/*.h ../dwtools/*.h ../LPC/*.h ../audio/FLAC/*.h ../audio/mp3/mp3.h

=== gram/Makefile ===
--- 
+++ 
@@ -1,14 +1,22 @@
 # Makefile of the library "gram"
-# Paul Boersma, 1 March 2009
+# Paul Boersma, 22 February 2010
 
 include ../makefile.defs
+
 CFLAGS = -I ../num -I ../audio -I ../kar -I ../sys -I ../dwsys -I ../stat -I ../dwtools -I ../fon
 
 OBJECTS = Network.o \
    OTGrammar.o OTGrammarEditor.o manual_gram.o praat_gram.o OTMulti.o OTMultiEditor.o \
    OTGrammar_ex_metrics.o OTGrammar_ex_NoCoda.o OTGrammar_ex_NPA.o OTGrammar_ex_tongueRoot.o
 
+.PHONY: all clean
+
 all: libgram.a
+
+clean:
+	$(RM) $(OBJECTS)
+	$(RM) libgram.a
+
 libgram.a: $(OBJECTS)
 	touch libgram.a
 	rm libgram.a

=== kar/Makefile ===
# Makefile of the library "kar"
# Paul Boersma, 22 February 2010

include ../makefile.defs

OBJECTS = ipaSerifRegularPS.o ipaSerifRegular24.o longchar.o

.PHONY: all clean

all: libkar.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libkar.a

libkar.a: $(OBJECTS)
	touch libkar.a
	rm libkar.a
	ar cq libkar.a $(OBJECTS)
	$(RANLIB) libkar.a

$(OBJECTS): *.h

=== main/Makefile ===
# Makefile of the 'main' routines.
# Paul Boersma, 22 February 2010

include ../makefile.defs
CFLAGS = -I ../num -I ../sys -I ../fon

.PHONY: clean

main_*.o: ../sys/praat.h ../sys/praat_version.h

clean:
	$(RM) main_*.o
	$(RM) praat_win.o

# The following is only for Windows.

praat_win.o: praat_win.rc
	windres -o praat_win.o praat_win.rc

=== audio/FLAC/Makefile ===
# Makefile of the library "audio/FLAC"
# Erez Volk, March 2007
# pb 20100108: include sys/melder.h
# Paul Boersma, 22 February 2010

include ../../makefile.defs

CFLAGS = -DFLAC__NOASM -I ../../sys

# EREZ ?
# On non-Intel, also define -DFLAC__CPU_UNKNOWN
# On Intel, define -DFLAC__CPU_IA32
# On PowerPC, define -DFLAC__CPU_PPC
# How/when are these relevant?

OBJECTS = \
	flac_bitmath.o \
	flac_bitreader.o \
	flac_bitwriter.o \
	flac_cpu.o \
	flac_crc.o \
	flac_fixed.o \
	flac_float.o \
	flac_format.o \
	flac_lpc.o \
	flac_md5.o \
	flac_memory.o \
	flac_metadata_iterators.o \
	flac_metadata_object.o \
	flac_stream_decoder.o \
	flac_stream_encoder.o \
	flac_stream_encoder_framing.o \
	flac_window.o

.PHONY: all clean

all: libFLAC.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libFLAC.a

libFLAC.a: $(OBJECTS)
	touch libFLAC.a
	rm libFLAC.a
	ar cq libFLAC.a $(OBJECTS)
	$(RANLIB) libFLAC.a

$(OBJECTS): *.h ../../sys/melder.h

=== audio/mp3/Makefile ===
# Makefile of the library "audio/mp3"
# Erez Volk, 24 May 2007
# Paul Boersma, 22 February 2010

include ../../makefile.defs

CFLAGS = -I ../../sys

OBJECTS = mp3.o \
	mad_bit.o \
	mad_decoder.o \
	mad_fixed.o \
	mad_frame.o \
	mad_huffman.o \
	mad_layer12.o \
	mad_layer3.o \
	mad_stream.o \
	mad_synth.o \
	mad_timer.o \
	mad_version.o

.PHONY: all clean

all: libmp3.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libmp3.a

libmp3.a: $(OBJECTS)
	touch libmp3.a
	rm libmp3.a
	ar cq libmp3.a $(OBJECTS)
	$(RANLIB) libmp3.a

$(OBJECTS): *.h ../../sys/*.h

=== contrib/ola/Makefile ===
# Makefile of the library "contrib/ola"
# Ola So"der 19 January 2008
# Paul Boersma, 22 February 2010

include ../../makefile.defs

CFLAGS =  -I ../../dwtools -I ../../fon -I ../../sys -I ../../dwsys -I ../../stat -I ../../num -I ../../GSL -D_DEBUG -D_REENTRANT

OBJECTS = KNN.o \
   KNN_threads.o Pattern_to_Categories_cluster.o KNN_prune.o FeatureWeights.o praat_contrib_Ola_KNN.o manual_KNN.o

.PHONY: all clean

all: libOla.a  

clean:
	$(RM) $(OBJECTS)
	$(RM) libOla.a

libOla.a: $(OBJECTS)
	touch libOla.a
	rm libOla.a
	ar cq libOla.a $(OBJECTS)
	$(RANLIB) libOla.a

$(OBJECTS): *.h ../../sys/*.h ../../dwtools/*.h ../../fon/*.h ../../dwsys/*.h ../../stat/*.h ../../num/*.h ../../GSL/*.h

=== debian/changelog ===
praat (5.1.42-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.9.1 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Wed, 04 Aug 2010 15:57:48 +0200

praat (5.1.39-1) unstable; urgency=low

  * New upstream version using GTK instead of lesstif
  * debian/source/format: 3.0 (quilt)
  * debian/patches/register-use.patch: Removed because applied by
    upstream
  * debian/patches/uifile-no-dialog-destroy.patch: Removed because
    applied by upstream
  * debian/patches/series: Deactivate output-bandwidth-listing.patch
    for the moment because it does not apply to recent upstream.
    Needs further investigation to reenable the additional feature
    which was provided by the Debian packaged version.

 -- Andreas Tille <tille@debian.org>  Sun, 11 Jul 2010 14:19:44 +0200

praat (5.1.38-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.9.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 08 Jul 2010 15:28:43 +0200

praat (5.1.29-1) unstable; urgency=low

  * New upstream version
    Closes: #573545
  * Standards-Version: 3.8.4 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Fri, 12 Mar 2010 11:26:32 +0100

praat (5.1.25-1) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 21 Jan 2010 13:01:52 +0100

praat (5.1.20-1) unstable; urgency=low

  * New upstream version
  * Team Maintenance in Debian Med team after Rafael Laboissiere retired
    from Debian
  * Standards-Version: 3.8.3 (added README.source)
  * Moved to Debian Med Git repository

 -- Andreas Tille <tille@debian.org>  Tue, 24 Nov 2009 15:28:47 +0100

praat (5.1.7-1) unstable; urgency=low

  * New upstream release

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 21 May 2009 01:06:51 +0200

praat (5.1.5-1) unstable; urgency=low

  * New upstream release

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 10 May 2009 12:17:24 +0200

praat (5.1.4-1) unstable; urgency=low

  * New upstream release
  * debian/control: The package is now maintained with Git at
    alioth.debian.org.  Add Vcs-Git field and change Vcs-Browser
    accordingly.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 16 Apr 2009 12:41:38 +0200

praat (5.1.3-1) unstable; urgency=low

  * New upstream release

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 28 Mar 2009 19:10:25 +0100

praat (5.1.2-1) unstable; urgency=low

  * New upstream release
  * debian/control, debian/compat: Bump debhelper build-dependency and
    compatibility level to >= 7
  * debian/control: Bump Standards-Version to 3.8.1 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 13 Mar 2009 14:46:11 +0100

praat (5.1.0-4) unstable; urgency=low

  * debian/patches/output-bandwidth-listing.patch: Add patch for adding an
    entry in the Formants menu to output the listing of formant bandwidths
  * debian/control: Switch Vcs-Browser from wsvn to viewsvn

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 22 Feb 2009 12:45:41 +0100

praat (5.1.0-3) unstable; urgency=low

  * Upload to unstable

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 15 Feb 2009 15:26:44 +0100

praat (5.1.0-2) experimental; urgency=low

  * Sync with the lenny branch

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 10 Feb 2009 07:18:02 +0100

praat (5.0.29-1lenny1) unstable; urgency=high

  * debian/control: Depend on oss-compat, such that sound will work on
    standard installations (closes: #514652)

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 09 Feb 2009 22:19:36 +0100

praat (5.1.0-1) experimental; urgency=low

  * New upstream release

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 01 Feb 2009 22:03:48 +0000

praat (5.0.47-1) experimental; urgency=low

  * New upstream release
  * debian/patches/drop-useless-libraries.patch: Drop patch (applied
    upstream)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 24 Jan 2009 08:23:17 +0100

praat (5.0.45-1) experimental; urgency=low

  * New upstream release.
  * Switch to quilt from CDBS' simple-patchsys for patch management
  * debian/patches/drop-useless-libraries.patch: Add patch for dropping
    unused libraries from linker options

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 03 Jan 2009 18:49:44 +0100

praat (5.0.42-1) experimental; urgency=low

  * New upstream release.
  * debian/control: Add ${misc:Depends} to binary dependency list

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 06 Dec 2008 10:07:19 +0000

praat (5.0.38-1) experimental; urgency=low

  * New upstream release.

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 01 Nov 2008 10:36:56 +0100

praat (5.0.34-1) experimental; urgency=low

  * New upstream release.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 25 Sep 2008 12:56:43 +0200

praat (5.0.32-1) experimental; urgency=low

  * New upstream release.  Uploading to experimental until the release of
    lenny.

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Aug 2008 22:11:21 +0200

praat (5.0.29-1) unstable; urgency=low

  * New upstream release

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 18 Jul 2008 23:22:04 +0200

praat (5.0.27-1) unstable; urgency=low

  * New upstream release

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 01 Jul 2008 20:03:38 +0200

praat (5.0.26-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Build-Depends on libasound2-dev
    + Bump Standards-Version to 3.8.0

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 21 Jun 2008 16:05:46 +0200

praat (5.0.25-1) unstable; urgency=low

  * New upstream release.  The start-up crash was fixed in version 5.0.24
    (closes: #484505)

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 04 Jun 2008 23:34:50 +0200

praat (5.0.23-1) unstable; urgency=low

  * New upstream release

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 17 May 2008 22:57:16 +0200

praat (5.0.22-1) unstable; urgency=low

  * New upstream release

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 30 Apr 2008 15:44:10 +0200



=== debian/control ===
Source: praat
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7), xsltproc, docbook-xsl, cdbs, libasound2-dev, quilt,
 libcairo2-dev, libatk1.0-dev, libpango1.0-dev, libglib2.0-dev, libgtk2.0-dev
X-Old-Build-Depends: debhelper (>= 7), lesstif2-dev, libxmu-dev,
 libxp-dev, libxt-dev, libsm-dev, libice-dev, libxext-dev, xsltproc,
 docbook-xsl, cdbs, libasound2-dev, quilt
Standards-Version: 3.9.1
Homepage: http://www.praat.org
Vcs-Git: git://git.debian.org/?p=debian-med/praat.git
Vcs-Browser: http://git.debian.org/?p=debian-med/praat.git

Package: praat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, oss-compat
Recommends: xfonts-75dpi | xfonts-75dpi-transcoded
 | xfonts-100dpi | xfonts-100dpi-transcoded
Description: program for speech analysis and synthesis
 According to its authors, praat is "doing phonetics by computer".  Through
 its graphical interface, several speech analysis functionalities are
 available: spectrograms, cochleograms, and pitch and formant
 extraction.  Articulatory synthesis, as well as synthesis from pitch,
 formant, and intensity are also available.  Other features are
 segmentation, labelling using the phonetic alphabet, and computation of
 statistics.  Praat is configurable and extensible through its own scripting
 language and has provisions for communicating with other programs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for the Praat

# Author: Rafael Laboissiere <rafael@debian.org>
# Licence: GPL

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEBDIR = $(CURDIR)/debian
INSTDIR = $(DEBDIR)/praat

DB2MAN = $(DEBDIR)/manpage.xsl
XP = xsltproc -''-nonet

PIXDIR = usr/share/pixmaps
BINDIR = usr/bin
APPDIR = usr/share/applications

SUBSTCMD = sed 's:@BINDIR@:$(BINDIR):g;s:@PIXDIR@:$(PIXDIR):g;	\
		s:@APPDIR@:$(APPDIR):g'

get-upstream-changelog:
	# Get upstream changelog (in HTML format) and replace some characters
	# for correct display in the final ASCII file
	( cd debian ;							    \
	  wget -N http://www.fon.hum.uva.nl/praat/manual/What_s_new_.html ; \
	  perl -pi -e "s/&#712;/'/g;s/&#716;/,/g;" What_s_new_.html )

praat.1: $(DEBDIR)/praat.dbk $(DEBDIR)/manpage.xsl
	$(XP) $(DB2MAN) $<

build/praat:: praat.1
	for i in dirs install menu ; do 				\
		$(SUBSTCMD) < $(DEBDIR)/$$i.in > $(DEBDIR)/praat.$$i ;	\
	done
	# Build against GTK instead of lesstif2
	# ln -fs makefiles/makefile.defs.linux.dynamic makefile.defs
	ln -fs makefiles/makefile.defs.linux.gtk makefile.defs
	$(MAKE)

clean::
	rm -f `find . -name \*.a -o -name \*.o` praat makefile.defs praat.1 \
	  $(DEBDIR)/praat.dirs $(DEBDIR)/praat.install $(DEBDIR)/praat.menu

install/praat::
	dh_installchangelogs debian/What_s_new_.html
	rm -f $(INSTDIR)/usr/share/doc/praat/changelog.html
